Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228498

Summary: Maximum lock depth 1024 reached task: ld-linux.so.2 (13246)
Product: [Fedora] Fedora Reporter: Jan Kratochvil <jan.kratochvil>
Component: kernel-xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Virtualization Bugs <virt-bugs>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bstein, triage, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-07 01:10:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Kratochvil 2007-02-13 12:17:04 UTC
Description of problem:
Left PC alone and found it locked up afterwards.

Version-Release number of selected component (if applicable):
(this kernel-xen was even booted before/that time)
kernel-xen-2.6.19-1.2898.2.3.fc7.i686
xen-3.0.4-4.fc7.i386
glibc-2.5.90-16.i686

How reproducible:
Not tried.

Steps to Reproduce:
1. Run RawHide, leave PC running with blank screensaver on.

Actual results:
Last messages:
Feb 13 11:50:18 host0 kernel: 4gb seg fixup, process ld-linux.so.2 (pid 14349),
cs:ip 73:4005a0b9
Feb 13 11:50:27 host0 kernel: printk: 434 messages suppressed.
...
Feb 13 12:06:44 host0 kernel: Maximum lock depth 1024 reached task:
ld-linux.so.2 (13246)
Feb 13 12:06:47 host0 xinetd[1888]: EXIT: perlmail status=0 pid=10037
duration=216(sec)
...
Feb 13 12:15:52 host0 xinetd[1888]: EXIT: perlmail status=0 pid=27175
duration=295(sec)
Feb 13 12:15:52 host0 xinetd[1888]: START: perlmail pid=31658 from=89.250.243.234
Feb 13 12:16:07 host0 smartd[3052]: Device: /dev/hda, SMART Prefailure
Attribute: 8 Seek_Time_Performance changed from 249 to 248

Expected results:
Noncrashing machine.

Additional info:
It occured after last `yum update' where it started printing those `4gb seg
fixup' messages again. These messages are not seen again.
Unaware if this Bug is XEN related.

Comment 1 Red Hat Bugzilla 2007-07-25 01:38:08 UTC
change QA contact

Comment 2 Bug Zapper 2008-04-03 19:08:18 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:10:55 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp